﻿@model ClubViewModel

@{
    Layout = null;

    var providerTitle = "Provider";

    if (Jumbula.Web.WebLogic.UserService.JbUserService.GetCurrentClubDomain() == Jumbula.Common.Constants.Constants.YoungRembrandstDomain)
    {
        providerTitle = "Franchise/Branch";
    }
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a ng-if="type =='School'" class="action" ui-sref='Clubs({type:"Schools"})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
            <a ng-if="type =='Provider'" class="action" ui-sref='Clubs({type:"Providers"})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

   
        <div class="title">
            <h1 ng-if="type =='School'">
                Manage school
            </h1>
            <h1 ng-if="type =='Provider'">
                Manage @providerTitle
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div>
        <div>
            <fieldset>
                <legend>Basic information</legend>
                <label class="req-star">Domain</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Domain)>
                    <input ng-model="@Html.Ang(m => m.Domain)" type="text" @Html.AngTooltipValidationFor(model => model.Domain) />
                </div>
                <label class="req-star">Name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
                    <input ng-model="@Html.Ang(m => m.Name)" type="text" @Html.AngTooltipValidationFor(model => model.Name) />
                </div>
                <label class="req-star">Organization type</label>
                <div class="input-control choosen" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedSubType)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedSubType)>

                        <select ng-change="clubTypeChanged()" chosen ng-model="@Html.Ang(m => m.SelectedSubType)"
                                name="Category" data-placeholder="Select organization type"
                                ng-options="obj.Value as obj.Text group by obj.Group for obj in Model.OrganizationSubTypes"></select>
                    </div>

                </div>
                <label>Website</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Site)>
                    <input ng-model="@Html.Ang(m => m.Site)" type="text" @Html.AngTooltipValidationFor(model => model.Site) />
                </div>
                <label>Description</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.Description)"></textarea>
                </div>
                <label ng-if="type =='Provider'">Category</label>
                <div class="input-control choosen" data-role="input-control" ng-if="type =='Provider'" @Html.AngValidationClassFor(model => model.SelectedCategory)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedCategory)>

                        <select chosen ng-model="@Html.Ang(m => m.SelectedCategory)"
                                name="Category" data-placeholder="Select organization category"
                                ng-options="obj.Value as obj.Text group by obj.Group for obj in Model.AllCategories"></select>
                    </div>

                </div>

                <label ng-if="type =='Provider'">Discount schools and sessions</label>
                <div class="input-control text"  ng-if="type =='Provider'" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.EMDiscountSchools)" type="text" />
                </div>
              
            </fieldset>
        </div>
        <div>
            <fieldset>
                <legend>
                    Tax information
                </legend>
                <label>Tax ID FEIN (FSA Tax ID)</label>
                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.TaxIDFEIN)" type="text" />
                </div>
                <label>Tax ID SSN (1099 Tax ID)</label>
                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.TaxIDSSN)" type="text" />
                </div>
                <div class="input-control checkbox default-style" data-role="input-control" ng-if="type =='Provider'">
                    <label class="block">
                        <input ng-model="@Html.Ang(m => m.Provider1099)" name="provider1099" ng-value="false" type="checkbox" />
                        <span class="check"></span>
                        1099 Provider
                    </label>
                </div>
                <div class="clearfix"></div>
                <div class="input-control checkbox default-style" data-role="input-control" ng-if="type =='Provider'">
                    <label class="block">
                        <input ng-model="@Html.Ang(m => m.TaxExemptNonprofit)" name="providernonprofit" ng-value="false" type="checkbox" />
                        <span class="check"></span>
                        501(c)(3) tax-exempt nonprofit
                    </label>
                </div>
            </fieldset>
        </div>
        <div>
            <fieldset>
                <legend>
                   Geography information
                </legend>
                <label class="req-star">Time zone</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedTimeZone)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedTimeZone)>
                        <select ng-options="obj.Value as obj.Text for obj in Model.OrganizationTimeZone"
                                ng-model="@Html.Ang(m => m.SelectedTimeZone)"></select>
                    </div>
                </div>
                <label class="req-star">Address</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Address)>
                    <input ng-model="@Html.Ang(model => model.Address)" name="Address" ng-autocomplete="@Html.Ang(model => model.Address)" options="MC.mapOptions" type="text" @Html.AngTooltipValidationFor(model => model.Address) />
                </div>
            </fieldset>
        </div>
        <div>
            <fieldset>
                <legend>Contact information</legend>
                <label class="req-star">First name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.FirstName)>
                    <input ng-model="@Html.Ang(m => m.FirstName)" type="text" @Html.AngTooltipValidationFor(model => model.FirstName) />
                </div>
                <label class="req-star">Last name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.LastName)>
                    <input ng-model="@Html.Ang(m => m.LastName)" type="text" @Html.AngTooltipValidationFor(model => model.LastName) />
                </div>
                <label class="req-star">Phone number</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Phone)>
                    <input ng-model="@Html.Ang(m => m.Phone)" type="text" @Html.AngTooltipValidationFor(model => model.Phone) />
                </div>
                <label>Phone extension</label>
                <div class="input-control text" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.ExtensionPhone)" type="text" />
                </div>
                <label class="req-star">Email</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Email)>
                    <input ng-model="@Html.Ang(m => m.Email)" type="text" @Html.AngTooltipValidationFor(model => model.Email) />
                </div>
                <label for="@Html.Ang(m => m.Title)">Title</label>
                <div class="input-control select" data-role="input">
                    <select ng-model="Model.Title" ng-options="obj.Value as obj.Text for obj in Model.AllStaffTitles"></select>
                </div>
            </fieldset>
        </div>

        <div>
            <fieldset>
                <legend>
                    Additional information
                </legend>
                <label>Member since</label>

                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="@Html.Ang(m => m.MemberSince)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
                <label>Agreement expiration date</label>

                <div class="input-control date-time">
                    <input kendo-date-picker ng-model="@Html.Ang(m => m.AgreementExpirationDate)" k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
                <div class="input-control checkbox default-style block" data-role="input-control">
                    <label class="block">
                        <input ng-model="@Html.Ang(m => m.IsInActive)" name="IsActive" ng-value="false" type="checkbox" />
                        <span class="check"></span>
                        Member is inactive
                    </label>
                </div>
            </fieldset>
        </div>
        <div>
            <fieldset>
                <legend>Messaging</legend>

                <label>Staff member in charge of messages</label>

                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedMessageResponder)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedMessageResponder)>
                        <select ng-model="@Html.Ang(m => m.SelectedMessageResponder)"
                                name="SelectedStaff"
                                ng-options="obj.Value as obj.Text for obj in Model.PartnerMessageResponders"></select>
                    </div>
                </div>

            </fieldset>
        </div>

        <div>
            <fieldset>
                <legend>Custom fields</legend>

                <div class="clearfix"></div>
                <div ng-if="MC.PortalParameters.ShowCommitionRate && type =='Provider'">
                    <label>Commission rate</label>
                    <div class="input-control text" data-role="input-control">

                        <select chosen ng-model="@Html.Ang(m => m.CommissionRate)"
                                name="Category" data-placeholder="Select commission rate"
                                ng-options="comrate for comrate in commisionRateRange"></select>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div ng-if="Model.CustomAttributes.HasPTAFee && type =='School'">
                    <label>PTA fee</label>
                    <div class="price-box">
                        <div class="input-control text price place-left" data-role="input-control" data-sign="$">
                            <input ng-model="Model.CustomAttributes.PTAFee" type="text" />
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div ng-if="Model.CustomAttributes.HasLeadGeneration && type =='Provider'">
                    <label>Lead generation</label>
                    <div class="price-box">
                        <div class="input-control text price place-left" data-role="input-control" data-sign="%">
                            <input ng-model="Model.CustomAttributes.LeadGeneration" type="text" />
                        </div>
                    </div>
                </div>
            </fieldset>
        </div>
        <hr />
        <button type="button" class="success place-right large button" data-ng-click="saveClub()">Save</button>
        <button type="button" class="link place-left large button" ui-sref="Clubs">Cancel</button>

        <div class="clearfix"></div>

    </div>
</div>

